Update source settings
Update source settings. Manage only sources owned by this token on the current tenant.
/api/appstore/manage/sources/:source_idঅনুরোধ করা পরামিতি
সকল পরামিতি অনুসন্ধান বা মৃতদেহের মাধ্যমে অতিক্রম করা যাবে
| পরামিতি | ধরন | আবশ্যক | বিবরণ |
|---|---|---|---|
source_id | string | আবশ্যক | Source ID owned by this user on the current site উদাহরণ: 12345678 |
name | string | বিকল্প | Source name, up to 100 characters উদাহরণ: 我的软件源 |
message | string | বিকল্প | Source announcement উদাহরণ: 欢迎使用 |
identifier | string | বিকল্প | Source identifier, up to 100 characters |
source_icon | string | বিকল্প | HTTP(S) URL of the source icon |
pay_url | string | বিকল্প | HTTP(S) URL of the payment page |
encrypt_enabled | integer | বিকল্প | Response encryption: 0=off, 1=on (default on when created) উদাহরণ: 1 |
open_black | integer | বিকল্প | Auto-block devices used to add apps: 0/1 উদাহরণ: 0 |
open_black2 | integer | বিকল্প | Auto-block cracking attempts: 0/1 উদাহরণ: 0 |
health_alert | object | বিকল্প | Complete link-health alert configuration as a JSON object |
প্রতিক্রিয়া
| পরামিতি | ধরন | আবশ্যক | বিবরণ |
|---|---|---|---|
code | integer | আবশ্যক | 1 indicates success; otherwise a token, validation or source error code উদাহরণ: 1 |
msg | string | আবশ্যক | Localized result message উদাহরণ: 获取成功 |
time | integer | আবশ্যক | Unix timestamp in seconds |
data | object | আবশ্যক | Allowlisted fields visible to the source owner |
ত্রুটিপূর্ণ কোড
101140001বহিরাগত ভাষা
X-Lang হেডারের সাথে API প্রতিক্রিয়া গ্রহণ করুন। টি কোড স্বয়ংক্রিয়ভাবে আপনার বর্তমান অবস্থানের জন্য ব্যবহার করা হচ্ছে।
X-Lang: bnzh, en, zh-TW, vi, ar, es, ruসমর্থিত ভাষাও সমর্থিত নয়; X-Lang এর অগ্রাধিকার গ্রহণ করা হয়। ওয়েব-সাইট ফাইলটির সাহায্যে সমর্থিত হয়।
কোড উদাহরণ
curl -X PATCH "https://testypro.iwai.cc,https://cer.xyul.cn,https://cer.iwai.cc/api/appstore/manage/sources/12345678" \
-H "X-Lang: bn" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "我的软件源",
"message": "欢迎使用",
"identifier": "example_identifier",
"source_icon": "example_source_icon",
"pay_url": "example_pay_url",
"encrypt_enabled": 1,
"open_black": 0,
"open_black2": 0,
"health_alert": "example_health_alert"
}'নোট
- 必须使用 HTTPS 传输。接口不接受 uid、tenant_id、is_official、到期时间等管理员字段。
- 响应不包含拥有者身份、内部草稿或敏感密钥;创建源和应用受订阅、试用及数量限制。
- 只修改传入的字段;health_alert 作为完整对象整体替换。
কনসোলের মধ্যে এটি চেষ্টা করুন
বাগ পূরণ করুন এবং এটি পরীক্ষা করুন। এই সাইটের API- এ কেবল অনুরোধ করা হয়; URL- টি লক করা হয়েছে এবং আপনার বর্তমান লগ- ইন কুকি অন্তর্ভুক্ত করা যাবে না।
https://testypro.iwai.cc/api/appstore/manage/sources/12345678এই সাইটের লক করা হয়েছেSource ID owned by this user on the current site
Source name, up to 100 characters
Source announcement
Source identifier, up to 100 characters
HTTP(S) URL of the source icon
HTTP(S) URL of the payment page
Response encryption: 0=off, 1=on (default on when created)
Auto-block devices used to add apps: 0/1
Auto-block cracking attempts: 0/1
Complete link-health alert configuration as a JSON object